Package twisted :: Package internet :: Module default

[show private | hide private]
[frames | no frames]

## Module twisted.internet.default

Default reactor base classes, and a select() based reactor.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`PosixReactorBase` | A basis for reactors that use file descriptors.
`SelectReactor` | A select() based reactor - runs on all POSIX platforms and on Win32.
`_UnixWaker` | This class provides a simple interface to wake up the select() loop.
`_Waker` | This class provides a simple interface to wake up the select() loop.
`_Win32Waker` | I am a workaround for the lack of pipes on win32.

Function Summary
| ``install`()` Configure the twisted mainloop to be run using the select() reactor.
| ``win32select`(r, w, e, timeout)` Win32 select wrapper.

Variable Summary
`ConnectionLost` | `CONNECTION_LOST`
`int` | `EBADF`
`int` | `EINTR`
`MetaInterface` | `IReactorArbitrary`
`MetaInterface` | `IReactorCore`
`MetaInterface` | `IReactorFDSet`
`MetaInterface` | `IReactorMulticast`
`MetaInterface` | `IReactorProcess`
`MetaInterface` | `IReactorSSL`
`MetaInterface` | `IReactorTCP`
`MetaInterface` | `IReactorTime`
`MetaInterface` | `IReactorUDP`
`MetaInterface` | `IReactorUNIX`
`Platform` | `platform`
`dict` | `reads`
`int` | `sslEnabled`
`int` | `unixEnabled`
`dict` | `writes`
`ConnectionFdescWentAway` | `_NO_FILEDESC`
`ConnectionFdescWentAway` | `_NO_FILENO`

Function Details

### install()

Configure the twisted mainloop to be run using the select() reactor.

### win32select(r, w, e, timeout=None)

Win32 select wrapper.

Variable Details

### CONNECTION_LOST

  Type:
    `ConnectionLost`
  Value:

        <twisted.internet.error.ConnectionLost instance at 0x82e800c>

### EBADF

  Type:
    `int`
  Value:

        9

### EINTR

  Type:
    `int`
  Value:

        4

### IReactorArbitrary

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorArbitrary'>

### IReactorCore

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorCore'>

### IReactorFDSet

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorFDSet'>

### IReactorMulticast

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorMulticast'>

### IReactorProcess

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorProcess'>

### IReactorSSL

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorSSL'>

### IReactorTCP

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorTCP'>

### IReactorTime

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorTime'>

### IReactorUDP

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorUDP'>

### IReactorUNIX

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorUNIX'>

### platform

  Type:
    `Platform`
  Value:

        <twisted.python.runtime.Platform instance at 0x820ae84>

### reads

  Type:
    `dict`
  Value:

        {<twisted.internet.default._UnixWaker instance at 0x81b3ff4>: 1}

### sslEnabled

  Type:
    `int`
  Value:

        1

### unixEnabled

  Type:
    `int`
  Value:

        1

### writes

  Type:
    `dict`
  Value:

        {}

### _NO_FILEDESC

  Type:
    `ConnectionFdescWentAway`
  Value:

        <twisted.internet.error.ConnectionFdescWentAway instance at 0x832d304>

### _NO_FILENO

  Type:
    `ConnectionFdescWentAway`
  Value:

        <twisted.internet.error.ConnectionFdescWentAway instance at 0x8330534>

Generated by Epydoc 1.1 on Thu May 8 13:18:25 2003 | http://epydoc.sf.net